<%@ page contentType="text/html;charset=UTF-8" %>
<script>
$(document).ready(function () {
    $('#fundTable').bootstrapTable({
        //请求方法
        method: 'post',
        //类型json
        dataType: "json",
        contentType: "application/x-www-form-urlencoded",
        //显示检索按钮
        showSearch: true,
        //显示刷新按钮
        showRefresh: true,
        //显示切换手机试图按钮
        showToggle: true,
        //显示 内容列下拉框
        showColumns: true,
        //显示到处按钮
        showExport: true,
        //显示切换分页按钮
        showPaginationSwitch: true,
        //最低显示2行
        minimumCountColumns: 2,
        //是否显示行间隔色
        striped: true,
        //是否使用缓存，默认为true，所以一般情况下需要设置一下这个属性（*）
        cache: false,
        //是否显示分页（*）
        pagination: true,
        //排序方式
        sortOrder: "asc",
        //初始化加载第一页，默认第一页
        pageNumber: 1,
        //每页的记录行数（*）
        pageSize: 10,
        //可供选择的每页的行数（*）
        pageList: [10, 25, 50, 100],
        //这个接口需要处理bootstrap table传递的固定参数,并返回特定格式的json数据
        url: "${ctx}/fund/data",
        //默认值为 'limit',传给服务端的参数为：limit, offset, search, sort, order Else
        //queryParamsType:'',
        ////查询参数,每次调用是会带上这个参数，可自定义
        queryParams: function (params) {
            var searchParam = $("#searchForm").serializeJSON();
            searchParam.pageNo = params.limit === undefined ? "1" : params.offset / params.limit + 1;
            searchParam.pageSize = params.limit === undefined ? -1 : params.limit;
            searchParam.orderBy = params.sort === undefined ? "" : params.sort + " " + params.order;
            return searchParam;
        },
        //分页方式：client客户端分页，server服务端分页（*）
        sidePagination: "server",
        contextMenuTrigger: "right",//pc端 按右键弹出菜单
        contextMenuTriggerMobile: "press",//手机端 弹出菜单，click：单击， press：长按。
        contextMenu: '#context-menu',
        onClickRow: function (row, $el) {
        },
        onLoadSuccess: function () {  //加载成功时执行
        },
        onShowSearch: function () {
            $("#search-collapse").slideToggle();
        },
        columns: [{
            checkbox: true

        },
            {
                field: 'projectId',
                title: '项目定义号',
                sortName: 'projectId'
            }
            , {
                field: 'projectName',
                title: '项目名称',
                sortName: 'projectName'
            }
            , {
                field: 'reserveProjectName',
                title: '储备项目名称',
                sortName: 'reserveProjectName'
            }
            , {
                field: 'wbsEncoding',
                title: 'wbs编码',
                sortName: 'wbsEncoding'
            }
            , {
                field: 'assetCardNumber',
                title: '资产卡片号',
                sortName: 'assetCardNumber'
            }
        ],
        formatNoMatches: function () {
            return "没有对应数据";
        },

    })

    jp.ajaxForm("#inputForm", function (data) {
        if (data.success) {
            jp.alert(data.msg);
            jp.go("${ctx}" + data.body.targetUrl);
        } else {
            jp.alert(data.msg);
            $("#inputForm").find("button:submit").button("reset");
        }
    });

    $('#acceptDate').datetimepicker({
        format: "YYYY-MM-DD HH:mm:ss"
    });

    $('#examineDate').datetimepicker({
        format: "YYYY-MM-DD HH:mm:ss"
    });

    //富文本初始化
    $('#reason').summernote({
        height: 300,
        lang: 'zh-CN',
        callbacks: {
            onChange: function (contents, $editable) {
                $("input[name='reason']").val($('#reason').summernote('code'));//取富文本的值
            }
        }
    });

    // 绑定查询按扭
    $("#search").click("click", function () {
        $('#fundTable').bootstrapTable('refresh');
    });

    // 绑定查询重置按扭
    $("#reset").click("click", function () {
        $("#searchForm  input").val("");
        $("#searchForm  select").val("");
        $('#fundTable').bootstrapTable('refresh');
    });

    $('#fundTable').on('check.bs.table uncheck.bs.table load-success.bs.table ' +
        'check-all.bs.table uncheck-all.bs.table', function () {
        $('#remove').prop('disabled', !$('#fundTable').bootstrapTable('getSelections').length);
        $('#edit').prop('disabled', $('#fundTable').bootstrapTable('getSelections').length != 1);
    });

})

function getIdSelections() {
    return $.map($("#fundTable").bootstrapTable('getSelections'), function (row) {
        return row.id
    });
}

function deleteAll() {
    jp.confirm('确认要删除该项目转资记录吗？', function () {
        jp.loading();
        jp.get("${ctx}/fund/deleteAll?ids=" + getIdSelections(), function (data) {
            if (data.success) {
                $('#fundTable').bootstrapTable('refresh');
                jp.success(data.msg);
            } else {
                jp.error(data.msg);
            }
        })
    })
}

//刷新列表
function refresh(){
    $('#fundTable').bootstrapTable('refresh');
}

function edit(id) {//没有权限时，不显示确定按钮
    if (id == undefined) {
        id = getIdSelections();
    }
    jp.openSaveDialog('编辑项目管理表单', "${ctx}/fund/fundForm?id=" + id, '800px', '500px');
}

</script>
